View Issue Details

IDProjectCategoryView StatusLast Update
0000005Hermès[All Projects] Bugpublic07/07/2018 11:37
ReporterDeuchnordAssigned ToDeuchnord 
PriorityurgentSeverityblockReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version0.7 
Target Version0.7.1Fixed in Version0.7 
Summary0000005: Hermès ne se lance pas
Description

Hermès refuse de démarrer, une fenêtre s'affiche, signalant une erreur lors du lancement.

Les détails de l'erreur montre qu'il manque des bibliothèques dans l'application :

Process:               deuchnord-hermes [581]
Path:                  /Users/USER/Downloads/Hermès.app/Contents/MacOS/deuchnord-hermes
Identifier:            com.deuchnord.hermes
Version:               0.7 (0)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           deuchnord-hermes [581]
User ID:               501

Date/Time:             2018-04-12 19:25:58.111 +0200
OS Version:            Mac OS X 10.13.3 (17D47)
Report Version:        12
Anonymous UUID:        1B75545A-EDCA-93D6-18F0-D258C9EEF305

Time Awake Since Boot: 120 seconds

System Integrity Protection: enabled

Crashed Thread:        0

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000
Exception Note:        EXC_CORPSE_NOTIFY

Termination Reason:    DYLD, [0x1] Library missing

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
  Library not loaded: @rpath/QtWidgets.framework/Versions/5/QtWidgets
  Referenced from: /Users/USER/Downloads/Hermès.app/Contents/MacOS/deuchnord-hermes
  Reason: image not found

Binary Images:
       0x10d8ef000 -        0x10d990ff3 +com.deuchnord.hermes (0.7 - 0) <0B058835-CE5D-3652-B82B-FEE66827AD97> /Users/USER/Downloads/Hermès.app/Contents/MacOS/deuchnord-hermes
       0x11a80a000 -        0x11a85498f  dyld (519.2.2) <6695F30B-4E88-3C0B-9867-7D738C44A3E6> /usr/lib/dyld

[...]
TagsNo tags attached.
Système d'exploitationmacOS

Activities

Deuchnord

Deuchnord

12/04/2018 19:36

administrator  

Deuchnord

Deuchnord

12/04/2018 19:42

administrator   ~0000006

Le problème semble se produire si les outils de développements de Qt ne sont pas installés.
Installer les outils de développement n'est bien entendu pas une solution envisageable, je vais voir pour sortir une version 0.7.1 qui corrige le souci.

Deuchnord

Deuchnord

07/07/2018 11:37

administrator   ~0000007

Le problème est corrigé.

Il sera nécessaire de re-télécharger Hermès.

Petit plus, Hermès est maintenant aussi disponible sous forme de paquet DMG �

Issue History

Date Modified Username Field Change
12/04/2018 19:36 Deuchnord New Issue
12/04/2018 19:36 Deuchnord File Added: Capture d’écran 2018-04-12 à 07.58.42.png
12/04/2018 19:42 Deuchnord Assigned To => Deuchnord
12/04/2018 19:42 Deuchnord Priority normal => urgent
12/04/2018 19:42 Deuchnord Severity minor => block
12/04/2018 19:42 Deuchnord Reproducibility have not tried => sometimes
12/04/2018 19:42 Deuchnord Status new => assigned
12/04/2018 19:42 Deuchnord Target Version => 0.7.1
12/04/2018 19:42 Deuchnord Note Added: 0000006
07/07/2018 11:37 Deuchnord Status assigned => resolved
07/07/2018 11:37 Deuchnord Resolution open => fixed
07/07/2018 11:37 Deuchnord Fixed in Version => 0.7
07/07/2018 11:37 Deuchnord Note Added: 0000007